<?php
/**
 * @Copyright © 2002-2020 Acronis International GmbH. All rights reserved
 */

namespace Acronis\App\Base;

class SimpleCompositeKey implements CompositeKeyInterface
{
    /** @var string */
    protected $delimiter = '_';
    /** @var string */
    private $key;

    public function __construct($components)
    {
        $this->key = implode($this->delimiter, $components);
    }

    public function __toString()
    {
        return $this->key;
    }
}