<?php
/**
 * @Copyright © 2002-2020 Acronis International GmbH. All rights reserved
 */

namespace Acronis\App\Base;

interface SubscriptableInterface
{
    /**
     * @param string $eventType
     * @param string $context
     * @return boolean
     */
    public function shouldBeSubscribedToEvent($eventType, $context);

    public function getResourceIdForEvent($eventType);
}