<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

interface Model_ConnectionChecker_CheckerInterface
{
    const MESSAGE = "message";
    const KEYS = "keys";
    const CODE = "code";
    
    /**
     * @throws Exception
     * @return bool
     */
    public function check();

    /**
     * @return array
     */
    public function getCheckDescription();

    /**
     * @return array
     */
    public function getCheckError();
} 