<?php

/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */
class Service_PbaApi_Api_Request_GetOrderProvisioningItemsList extends Service_PbaApi_Client_Request
{
    const METHOD = 'OrderProvisioningItemsListGet_API';

    /**
     * @param string $orderId
     * @param int $sortNo
     */
    public function __construct($orderId, $sortNo = 0)
    {
        parent::__construct(self::METHOD, array(
            (int)$orderId,
            (int)$sortNo
        ));
    }

    /**
     * Method returns details of specified subscription.
     *
     * @param array $responseArray
     * @return Service_PbaApi_Api_Response_GetOrderProvisioningItemsList
     */
    public function getExpectedResponse(array $responseArray = null)
    {
        return new Service_PbaApi_Api_Response_GetOrderProvisioningItemsList($responseArray);
    }
}
