<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

interface Service_PbaApi_Client_RequestInterface
{
    /**
     * @return string
     */
    public function getMethod();

    /**
     * @return array
     */
    public function getParameters();

    /**
     * @return string
     */
    public function getLanguage();

    /**
     * @param array $responseArray
     * @return Service_PbaApi_Client_ResponseInterface
     */
    public function getExpectedResponse(array $responseArray = null);
}
