<?php
/**
 * @Copyright © 2002-2020 Acronis International GmbH. All rights reserved
 */

namespace Acronis\App\Services\Config;

/**
 * Trait ConfigLogTrait
 * There must be a method getSection in class using this trait
 * @package Acronis\App\Services\Config
 * @method getSection(string $sectionName)
 */
trait ConfigLogTrait
{
    public function getLogConfig()
    {
        return $this->getSection(ConfigSchema::NODE_LOG);
    }
}