<?php
/**
 * @Copyright © 2002-2018 Acronis International GmbH. All rights reserved
 */

namespace Acronis\App\Services\Redis;

use Acronis\App\Services\Locator;

trait RedisAwareTrait
{
    /**
     * @return RedisClient
     */
    protected function getRedis()
    {
        return Locator::getInstance()->get(RedisFactory::NAME);
    }
}