<?php

/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */
class Service_MspApiClient_Response_RequestUsageReport extends Service_BaseClient_Response_Base
{
    const PROPERTY_VERSION = 'version';
    const PROPERTY_REPORT_ID = 'report_id';

    /**
     * @param array $responseData
     * @return Service_MspApiClient_Response_Struct_RequestReportUsage
     */
    protected function _init(array $responseData)
    {
        $report = new Service_MspApiClient_Response_Struct_RequestReportUsage();
        $report->setVersion($this->_getProperty(self::PROPERTY_VERSION, $responseData));
        $report->setReportId($this->_getProperty(self::PROPERTY_REPORT_ID, $responseData));
        return $report;
    }
}
