<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_OpenApi_Response_SubscriptionInfo_ResourceType
    implements Service_OpenApi_Response_SubscriptionInfo_ResourceTypeInterface
{
    /** @var  string */
    private $_name;
    /** @var  int */
    private $_resourceTypeId;

    /**
     * @param string $name
     * @param int $resourceTypeId
     */
    function __construct($name, $resourceTypeId)
    {
        $this->_name = $name;
        $this->_resourceTypeId = $resourceTypeId;
    }

    /**
     * @return string
     */
    public function getName()
    {
        return $this->_name;
    }

    /**
     * @return int
     */
    public function getResourceTypeId()
    {
        return $this->_resourceTypeId;
    }
} 