<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_PbaApi_Api_Request_GetPlanFromArchive extends Service_PbaApi_Client_Request
{
    const METHOD = 'PlanGetArc';

    /**
     * Service_PbaApi_Api_Request_GetPlanFromArchive constructor.
     * @param int $planId
     * @param int $userId
     * @param int $date
     */
    public function __construct($planId, $userId, $date)
    {
        parent::__construct(self::METHOD, array(
            (int)$planId,
            (int)$userId,
            (int)$date
        ));
    }

    /**
     * @param array $responseArray
     * @return Service_PbaApi_Api_Response_GetPlanFromArchive
     */
    public function getExpectedResponse(array $responseArray = null)
    {
        return new Service_PbaApi_Api_Response_GetPlanFromArchive($responseArray);
    }
}
