<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

interface Service_PbaApi_XmlRpcInterface
{
    const ENCODING = "utf8";

    /**
     * @param string $method
     * @param array $params
     * @param array $outputOptions
     * @return string
     */
    public function encodeRequest($method, $params, array $outputOptions = array());

    /**
     * @param string $xml
     * @param string $encoding
     * @return array|NULL
     */
    public function decode($xml, $encoding = self::ENCODING);

    /**
     * @param array $arg
     * @return bool
     */
    public function isFault(array $arg);
} 
