<?php
/**
 * @Copyright © 2002-2020 Acronis International GmbH. All rights reserved
 */

namespace Acronis\App\Services\CountersManager;

use Acronis\App\Services\FactoryInterface;
use Symfony\Component\Yaml\Yaml;

class CountersManagerFactory implements FactoryInterface
{
    const NAME = 'application_counters';

    /**
     * @return CountersManager
     */
    public function createInstance()
    {
        $counters = Yaml::parseFile(DIR_APP . DS . 'application_counters.yaml');
        return new CountersManager($counters);
    }
}